Skip to main content
POST
/
data_feeds
/
{data_feed_friendly_id}
Submit a data file to an ingestion Data Feed
curl --request POST \
  --url https://app.gomangrove.com/api/v1/data_feeds/{data_feed_friendly_id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file'
{
  "pipeline_run": {
    "id": 123,
    "stage": "collection",
    "started_at": "2026-02-03T10:30:00Z"
  }
}

Authorizations

Authorization
string
header
required

Path Parameters

data_feed_friendly_id
string
required

The friendly ID of the data ingestion pipeline

Example:

"datafd_abc123def456"

Body

multipart/form-data
file
file
required

CSV file to upload (max 50MB)

Response

File successfully submitted and pipeline run started

pipeline_run
object
required